2

I have generated Upgrade Compatibility Tool Report and most of the errors are as below.

[ERROR] [1328] Line 24: Implemented interface 'Magento\Framework\GraphQl\Query\ResolverInterface' that is non API on version '2.4.4'

[ERROR] [1124] Line 79: Using class 'Magento\Framework\GraphQl\Config\Element\Field' that is non API on version '2.4.4'

[ERROR] [1124] Line 81: Using class 'Magento\Framework\GraphQl\Schema\Type\ResolveInfo' that is non API on version '2.4.4'

[ERROR] [1124] Line 87: Using class 'Magento\Framework\GraphQl\Exception\GraphQlAuthorizationException' that is non API on version '2.4.4'

[ERROR] [1124] Line 94: Using class 'Magento\Framework\GraphQl\Exception\GraphQlAuthorizationException' that is non API on version '2.4.4'

enter image description here

These are core classes that we need when working with Graphql. I am not able to find any alternative solutions.

Please help.

7
  • Hi Kaushik, I also stuck in a same issue please let me know if you find anything
    – Ankit
    Aug 30, 2022 at 5:02
  • We upgraded to 2.4.5 and the above issues were resolved. But there are still alot of different issues that we do not see any solution as of now. Sep 12, 2022 at 15:28
  • Ohk Thanks for the update @Kaushik. We got solutions for non API error for some files like curlInterface, request interface etc. but we rely on Magento that after upgrading all will work well.
    – Ankit
    Sep 13, 2022 at 10:57
  • @Ankit can you provide solution for curlInterface,request interface etc
    – Vishal
    Sep 23, 2022 at 8:17
  • Can you ask in question please can not paste so much in comments.@Vishal
    – Ankit
    Sep 25, 2022 at 6:02

1 Answer 1

1

These files are in magento codebase, so you don't need to fix them. If you still would like to fix these issues, mark that class as @api in docblock.

Example:

/**
 * Schema object for a GraphQL endpoint describing queries and types for a client to consume.
 *
 * @api
 */
class Schema extends \GraphQL\Type\Schema
{
}

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.